Index: src/UIElements/Qt4/Query/AtomQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/AtomQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/AtomQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 #include "World.hpp"
 
-QtDialog::AtomQtQuery::AtomQtQuery(Parameter<const atom *> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::AtomQtQuery::AtomQtQuery(Parameter<const atom *> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::AtomQuery(_param, _title),
     parent(_parent),
@@ -47,6 +47,5 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new AtomQtQueryPipe(temp,_dialog, inputBox);
-  pipe->update(inputBox->currentIndex());
+  onUpdate(inputBox->currentIndex());
   connect(inputBox,SIGNAL(currentIndexChanged(int)),this,SLOT(onUpdate(int)));
 }
@@ -54,5 +53,4 @@
 QtDialog::AtomQtQuery::~AtomQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/AtomsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -33,5 +33,5 @@
 
 
-QtDialog::AtomsQtQuery::AtomsQtQuery(Parameter<std::vector<const atom *> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::AtomsQtQuery::AtomsQtQuery(Parameter<std::vector<const atom *> > &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::AtomsQuery(_param, _title),
     parent(_parent),
@@ -68,13 +68,11 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new AtomsQtQueryPipe(temp,_dialog,inputList);
-  connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
+  /*connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
   connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(add()));
-  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(remove()));
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(remove()));*/
 }
 
 QtDialog::AtomsQtQuery::~AtomsQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/BooleanQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -28,5 +28,5 @@
 
 
-QtDialog::BooleanQtQuery::BooleanQtQuery(Parameter<bool> &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::BooleanQtQuery::BooleanQtQuery(Parameter<bool> &_param, std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::BooleanQuery(_param, _title),
     parent(_parent),
@@ -37,6 +37,6 @@
     temp = param.get();
   thisLayout = new QHBoxLayout();
-  titleLabel = new QLabel(QString(getTitle().c_str()),_dialog);
-  booleanCheckBox = new QCheckBox(QString(getTitle().c_str()), _dialog);
+  titleLabel = new QLabel(QString(getTitle().c_str()));
+  booleanCheckBox = new QCheckBox(QString(getTitle().c_str()));
   booleanCheckBox->setCheckState(temp ? Qt::Checked : Qt::Unchecked);
 
@@ -45,5 +45,4 @@
   thisLayout->addWidget(booleanCheckBox);
 
-  pipe = new BooleanQtQueryPipe(temp,_dialog,booleanCheckBox);
   connect(booleanCheckBox, SIGNAL(stateChanged(int)), this, SLOT(onUpdate(int)));
 }
@@ -51,5 +50,4 @@
 QtDialog::BooleanQtQuery::~BooleanQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/DoubleQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -28,5 +28,5 @@
 
 
-QtDialog::DoubleQtQuery::DoubleQtQuery(Parameter<double> &_param, std::string title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::DoubleQtQuery::DoubleQtQuery(Parameter<double> &_param, std::string title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::DoubleQuery(_param, title),
     parent(_parent),
@@ -46,6 +46,4 @@
   thisLayout->addWidget(inputBox);
 
-  //pipe = new DoubleQtQueryPipe(temp,_dialog);
-  //pipe->update(inputBox->value());
   connect(inputBox,SIGNAL(valueChanged(double)),this,SLOT(onUpdate(double)));
 }
Index: src/UIElements/Qt4/Query/DoublesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 
 
-QtDialog::DoublesQtQuery::DoublesQtQuery(Parameter<std::vector<double> > &_param, std::string title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::DoublesQtQuery::DoublesQtQuery(Parameter<std::vector<double> > &_param, std::string title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::DoublesQuery(_param, title),
     parent(_parent),
@@ -61,13 +61,13 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new QtQueryListPipe<double>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+  /*pipe = new QtQueryListPipe<double>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
   connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(IntegerEntered(const QString&)));
   connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
   connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(AddValue()));
-  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));}
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));*/
+}
 
 QtDialog::DoublesQtQuery::~DoublesQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/ElementQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -31,5 +31,5 @@
 #include "World.hpp"
 
-QtDialog::ElementQtQuery::ElementQtQuery(Parameter<const element *> &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::ElementQtQuery::ElementQtQuery(Parameter<const element *> &_param, std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::ElementQuery(_param, _title),
     parent(_parent),
@@ -52,6 +52,4 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new ElementQtQueryPipe(temp,_dialog,inputBox);
-  pipe->update(inputBox->currentIndex());
   connect(inputBox,SIGNAL(currentIndexChanged(int)),this,SLOT(onUpdate(int)));
 }
@@ -59,5 +57,4 @@
 QtDialog::ElementQtQuery::~ElementQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -32,5 +32,5 @@
 
 
-QtDialog::ElementsQtQuery::ElementsQtQuery(Parameter<std::vector<const element *> > &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::ElementsQtQuery::ElementsQtQuery(Parameter<std::vector<const element *> > &_param, std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::ElementsQuery(_param, _title),
     parent(_parent),
@@ -53,12 +53,11 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new ElementsQtQueryPipe(temp,_dialog,inputBox);
+  /*pipe = new ElementsQtQueryPipe(temp,_dialog,inputBox);
   pipe->update(inputBox->currentIndex());
-  connect(inputBox,SIGNAL(currentIndexChanged(int)),pipe,SLOT(update(int)));
+  connect(inputBox,SIGNAL(currentIndexChanged(int)),pipe,SLOT(update(int)));*/
 }
 
 QtDialog::ElementsQtQuery::~ElementsQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/EmptyQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/EmptyQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/EmptyQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -27,5 +27,5 @@
 
 
-QtDialog::EmptyQtQuery::EmptyQtQuery(std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::EmptyQtQuery::EmptyQtQuery(std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::EmptyQuery(_title),
     parent(_parent),
@@ -37,11 +37,8 @@
   parent->addLayout(thisLayout);
   thisLayout->addWidget(titleLabel);
-
-  pipe = new EmptyQtQueryPipe(_dialog,titleLabel);
 }
 
 QtDialog::EmptyQtQuery::~EmptyQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/FileQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 
 
-QtDialog::FileQtQuery::FileQtQuery(Parameter<boost::filesystem::path> &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::FileQtQuery::FileQtQuery(Parameter<boost::filesystem::path> &_param, std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::FileQuery(_param, _title),
     parent(_parent),
@@ -36,5 +36,5 @@
 {
 
-  filenameLineEdit = new QLineEdit(_dialog);
+  filenameLineEdit = new QLineEdit();
   filenameLineEdit->setText(QString());
   filenameLineEdit->setReadOnly(true);
@@ -43,8 +43,6 @@
   filenameLabel->setBuddy(filenameLineEdit);
 
-  filedialogButton = new QPushButton("&Choose", _dialog);
+  filedialogButton = new QPushButton("&Choose");
   theFileDialog = NULL;
-
-  pipe = new FileQtQueryPipe(temp,_dialog,filenameLineEdit,filedialogButton);
 
   thisLayout = new QHBoxLayout();
@@ -59,5 +57,4 @@
 QtDialog::FileQtQuery::~FileQtQuery()
 {
-  delete pipe;
   if (theFileDialog != NULL)
     delete theFileDialog;
Index: src/UIElements/Qt4/Query/FilesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -32,5 +32,5 @@
 
 
-QtDialog::FilesQtQuery::FilesQtQuery(Parameter<std::vector< boost::filesystem::path> > &param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+QtDialog::FilesQtQuery::FilesQtQuery(Parameter<std::vector< boost::filesystem::path> > &param, std::string _title, QBoxLayout *_parent, Dialog *_dialog) :
     Dialog::FilesQuery(param, _title),
     parent(_parent),
@@ -63,14 +63,13 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new QtQueryListPipe<boost::filesystem::path>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+  /*pipe = new QtQueryListPipe<boost::filesystem::path>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
   connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(IntegerEntered(const QString&)));
   connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
   connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(AddValue()));
-  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));*/
 }
 
 QtDialog::FilesQtQuery::~FilesQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/IntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -28,5 +28,5 @@
 
 
-QtDialog::IntQtQuery::IntQtQuery(Parameter<int> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::IntQtQuery::IntQtQuery(Parameter<int> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::IntQuery(_param, _title),
     parent(_parent),
@@ -44,6 +44,4 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new IntQtQueryPipe(temp,_dialog);
-  pipe->update(inputBox->value());
   connect(inputBox,SIGNAL(valueChanged(int)),this,SLOT(onUpdate(int)));
 }
@@ -51,5 +49,4 @@
 QtDialog::IntQtQuery::~IntQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/IntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 
 
-QtDialog::IntsQtQuery::IntsQtQuery(Parameter<std::vector<int> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::IntsQtQuery::IntsQtQuery(Parameter<std::vector<int> > &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::IntsQuery(_param, _title),
     parent(_parent),
@@ -61,14 +61,13 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new QtQueryListPipe<int>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+  /*pipe = new QtQueryListPipe<int>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
   connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(IntegerEntered(const QString&)));
   connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
   connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(AddValue()));
-  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));*/
 }
 
 QtDialog::IntsQtQuery::~IntsQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/MoleculeQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -31,5 +31,5 @@
 
 
-QtDialog::MoleculeQtQuery::MoleculeQtQuery(Parameter<const molecule *> &_param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::MoleculeQtQuery::MoleculeQtQuery(Parameter<const molecule *> &_param, std::string _title, QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::MoleculeQuery(_param, _title),
     parent(_parent),
@@ -52,6 +52,4 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new MoleculeQtQueryPipe(temp,_dialog,inputBox);
-  pipe->update(inputBox->currentIndex());
   connect(inputBox,SIGNAL(currentIndexChanged(int)),this,SLOT(onUpdate(int)));
 }
@@ -59,5 +57,4 @@
 QtDialog::MoleculeQtQuery::~MoleculeQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/MoleculesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -31,5 +31,5 @@
 
 
-QtDialog::MoleculesQtQuery::MoleculesQtQuery(Parameter<std::vector<const molecule *> > &_param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::MoleculesQtQuery::MoleculesQtQuery(Parameter<std::vector<const molecule *> > &_param, std::string _title, QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::MoleculesQuery(_param, _title),
     parent(_parent),
@@ -52,12 +52,11 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new MoleculesQtQueryPipe(temp,_dialog,inputBox);
+  /*pipe = new MoleculesQtQueryPipe(temp,_dialog,inputBox);
   pipe->update(inputBox->currentIndex());
-  connect(inputBox,SIGNAL(currentIndexChanged(int)),pipe,SLOT(update(int)));
+  connect(inputBox,SIGNAL(currentIndexChanged(int)),pipe,SLOT(update(int)));*/
 }
 
 QtDialog::MoleculesQtQuery::~MoleculesQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/QtQuery.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQuery.hpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/QtQuery.hpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -34,32 +34,8 @@
 class QFileDialog;
 
-// Forward declarations for plumbing
-template<typename T> class QtQueryListPipe;
-class AtomQtQueryPipe;
-class AtomsQtQueryPipe;
-class BooleanQtQueryPipe;
-class RealSpaceMatrixQtQueryPipe;
-class DoubleQtQueryPipe;
-class DoublesQtQueryPipe;
-class ElementQtQueryPipe;
-class ElementsQtQueryPipe;
-class EmptyQtQueryPipe;
-class FileQtQueryPipe;
-class FilesQtQueryPipe;
-class IntQtQueryPipe;
-class MoleculeQtQueryPipe;
-class MoleculesQtQueryPipe;
-class StringQtQueryPipe;
-class StringsQtQueryPipe;
-class UnsignedIntQtQueryPipe;
-class UnsignedIntsQtQueryPipe;
-class VectorQtQueryPipe;
-class VectorsQtQueryPipe;
-class RandomNumberDistribution_ParametersQtQueryPipe;
-
 class QtDialog::AtomQtQuery : public QWidget, public Dialog::AtomQuery {
   Q_OBJECT
 public:
-  AtomQtQuery(Parameter<const atom *> &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  AtomQtQuery(Parameter<const atom *> &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~AtomQtQuery();
   virtual bool handle();
@@ -73,7 +49,5 @@
   QLabel *titleLabel;
   QComboBox *inputBox;
-  QtDialog *dialog;
-
-  AtomQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -81,5 +55,5 @@
   Q_OBJECT
 public:
-  AtomsQtQuery(Parameter<std::vector<const atom *> > &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  AtomsQtQuery(Parameter<std::vector<const atom *> > &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~AtomsQtQuery();
   virtual bool handle();
@@ -94,7 +68,5 @@
   QLabel *inputLabel;
   QListWidget *inputList;
-  QtDialog *dialog;
-
-  AtomsQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -102,5 +74,5 @@
   Q_OBJECT
 public:
-  BooleanQtQuery(Parameter<bool> &, std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  BooleanQtQuery(Parameter<bool> &, std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~BooleanQtQuery();
   virtual bool handle();
@@ -114,7 +86,5 @@
   QLabel *titleLabel;
   QCheckBox *booleanCheckBox;
-  QtDialog *dialog;
-
-  BooleanQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -122,5 +92,5 @@
   Q_OBJECT
 public:
-  RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~RealSpaceMatrixQtQuery();
   virtual bool handle();
@@ -134,7 +104,5 @@
   QLabel *titleLabel;
   QTableWidget *inputTable;
-  QtDialog *dialog;
-
-  RealSpaceMatrixQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -142,5 +110,5 @@
   Q_OBJECT
 public:
-  DoubleQtQuery(Parameter<double> &, std::string title,QBoxLayout *_parent,QtDialog *_dialog);
+  DoubleQtQuery(Parameter<double> &, std::string title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~DoubleQtQuery();
   virtual bool handle();
@@ -154,7 +122,5 @@
   QLabel *titleLabel;
   QDoubleSpinBox *inputBox;
-  QtDialog *dialog;
-
-  DoubleQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -162,5 +128,5 @@
   Q_OBJECT
 public:
-  DoublesQtQuery(Parameter<std::vector<double> > &, std::string title,QBoxLayout *_parent,QtDialog *_dialog);
+  DoublesQtQuery(Parameter<std::vector<double> > &, std::string title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~DoublesQtQuery();
   virtual bool handle();
@@ -174,7 +140,5 @@
   QLabel *titleLabel;
   QDoubleSpinBox *inputBox;
-  QtDialog *dialog;
-
-  QtQueryListPipe<double> *pipe;
+  Dialog *dialog;
 };
 
@@ -182,5 +146,5 @@
   Q_OBJECT
 public:
-  ElementQtQuery(Parameter<const element *> &, std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  ElementQtQuery(Parameter<const element *> &, std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~ElementQtQuery();
   virtual bool handle();
@@ -194,7 +158,5 @@
   QLabel *titleLabel;
   QComboBox *inputBox;
-  QtDialog *dialog;
-
-  ElementQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -202,5 +164,5 @@
   Q_OBJECT
 public:
-  ElementsQtQuery(Parameter<std::vector<const element *> > &, std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  ElementsQtQuery(Parameter<std::vector<const element *> > &, std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~ElementsQtQuery();
   virtual bool handle();
@@ -214,12 +176,10 @@
   QLabel *titleLabel;
   QComboBox *inputBox;
-  QtDialog *dialog;
-
-  ElementsQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
 class QtDialog::EmptyQtQuery : public Dialog::EmptyQuery {
 public:
-  EmptyQtQuery(std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  EmptyQtQuery(std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~EmptyQtQuery();
   virtual bool handle();
@@ -228,7 +188,5 @@
   QBoxLayout *thisLayout;
   QLabel *titleLabel;
-  QtDialog *dialog;
-
-  EmptyQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -236,5 +194,5 @@
   Q_OBJECT
 public:
-  FileQtQuery(Parameter<boost::filesystem::path> &, std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  FileQtQuery(Parameter<boost::filesystem::path> &, std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~FileQtQuery();
   virtual bool handle();
@@ -251,7 +209,5 @@
   QPushButton *filedialogButton;
   QFileDialog *theFileDialog;
-  QtDialog *dialog;
-
-  FileQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -259,5 +215,5 @@
   Q_OBJECT
 public:
-  FilesQtQuery(Parameter<std::vector< boost::filesystem::path> > &, std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  FilesQtQuery(Parameter<std::vector< boost::filesystem::path> > &, std::string _title, QBoxLayout *_parent, Dialog *_dialog);
   virtual ~FilesQtQuery();
   virtual bool handle();
@@ -274,7 +230,5 @@
   QBoxLayout *thisLayout;
   QLabel *titleLabel;
-  QtDialog *dialog;
-
-  QtQueryListPipe<boost::filesystem::path> *pipe;
+  Dialog *dialog;
 };
 
@@ -282,5 +236,5 @@
   Q_OBJECT
 public:
-  IntQtQuery(Parameter<int> &, std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  IntQtQuery(Parameter<int> &, std::string _title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~IntQtQuery();
   virtual bool handle();
@@ -294,7 +248,5 @@
   QLabel *titleLabel;
   QSpinBox *inputBox;
-  QtDialog *dialog;
-
-  IntQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -302,5 +254,5 @@
   Q_OBJECT
 public:
-  IntsQtQuery(Parameter<std::vector<int> > &, std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  IntsQtQuery(Parameter<std::vector<int> > &, std::string _title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~IntsQtQuery();
   virtual bool handle();
@@ -317,7 +269,5 @@
   QBoxLayout *thisLayout;
   QLabel *titleLabel;
-  QtDialog *dialog;
-
-  QtQueryListPipe<int> *pipe;
+  Dialog *dialog;
 };
 
@@ -325,5 +275,5 @@
   Q_OBJECT
 public:
-  MoleculeQtQuery(Parameter<const molecule *> &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  MoleculeQtQuery(Parameter<const molecule *> &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~MoleculeQtQuery();
   virtual bool handle();
@@ -337,7 +287,5 @@
   QLabel *titleLabel;
   QComboBox *inputBox;
-  QtDialog *dialog;
-
-  MoleculeQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -345,5 +293,5 @@
   Q_OBJECT
 public:
-  MoleculesQtQuery(Parameter<std::vector<const molecule *> > &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  MoleculesQtQuery(Parameter<std::vector<const molecule *> > &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~MoleculesQtQuery();
   virtual bool handle();
@@ -357,7 +305,5 @@
   QLabel *titleLabel;
   QComboBox *inputBox;
-  QtDialog *dialog;
-
-  MoleculesQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -365,5 +311,5 @@
   Q_OBJECT
 public:
-  StringQtQuery(Parameter<std::string> &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  StringQtQuery(Parameter<std::string> &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~StringQtQuery();
   virtual bool handle();
@@ -377,7 +323,5 @@
   QLabel *titleLabel;
   QLineEdit *inputBox;
-  QtDialog *dialog;
-
-  StringQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -385,5 +329,5 @@
   Q_OBJECT
 public:
-  StringsQtQuery(Parameter<std::vector<std::string> > &, std::string _title, QBoxLayout *_parent,QtDialog *_dialog);
+  StringsQtQuery(Parameter<std::vector<std::string> > &, std::string _title, QBoxLayout *_parent,Dialog *_dialog);
   virtual ~StringsQtQuery();
   virtual bool handle();
@@ -397,7 +341,5 @@
   QLabel *titleLabel;
   QLineEdit *inputBox;
-  QtDialog *dialog;
-
-  StringsQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -405,5 +347,5 @@
   Q_OBJECT
 public:
-  UnsignedIntQtQuery(Parameter<unsigned int> &, std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  UnsignedIntQtQuery(Parameter<unsigned int> &, std::string _title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~UnsignedIntQtQuery();
   virtual bool handle();
@@ -417,7 +359,5 @@
   QLabel *titleLabel;
   QSpinBox *inputBox;
-  QtDialog *dialog;
-
-  UnsignedIntQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -425,5 +365,5 @@
   Q_OBJECT
 public:
-  UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &, std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &, std::string _title,QBoxLayout *_parent,Dialog *_dialog);
   virtual ~UnsignedIntsQtQuery();
   virtual bool handle();
@@ -440,7 +380,5 @@
   QBoxLayout *thisLayout;
   QLabel *titleLabel;
-  QtDialog *dialog;
-
-  QtQueryListPipe<unsigned int> *pipe;
+  Dialog *dialog;
 };
 
@@ -449,5 +387,5 @@
   Q_OBJECT
 public:
-  VectorQtQuery(Parameter<Vector> &, std::string title,QBoxLayout *,QtDialog *);
+  VectorQtQuery(Parameter<Vector> &, std::string title,QBoxLayout *,Dialog *);
   virtual ~VectorQtQuery();
   virtual bool handle();
@@ -468,7 +406,5 @@
   QDoubleSpinBox *coordInputY;
   QDoubleSpinBox *coordInputZ;
-  QtDialog *dialog;
-
-  VectorQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -476,5 +412,5 @@
   Q_OBJECT
 public:
-  VectorsQtQuery(Parameter<std::vector<Vector> > &, std::string title,QBoxLayout *,QtDialog *);
+  VectorsQtQuery(Parameter<std::vector<Vector> > &, std::string title,QBoxLayout *,Dialog *);
   virtual ~VectorsQtQuery();
   virtual bool handle();
@@ -491,7 +427,5 @@
   QLabel *coordLabel;
   QDoubleSpinBox *coordInput;
-  QtDialog *dialog;
-
-  VectorsQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
@@ -499,5 +433,5 @@
   Q_OBJECT
 public:
-  RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &, std::string title,QBoxLayout *,QtDialog *);
+  RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &, std::string title,QBoxLayout *,Dialog *);
   virtual ~RandomNumberDistribution_ParametersQtQuery();
   virtual bool handle();
@@ -512,7 +446,5 @@
   QTextEdit *inputBox;
   QPushButton *okButton;
-  QtDialog *dialog;
-
-  RandomNumberDistribution_ParametersQtQueryPipe *pipe;
+  Dialog *dialog;
 };
 
Index: src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -31,5 +31,5 @@
 #include "World.hpp"
 
-QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::RandomNumberDistribution_ParametersQuery(_param, _title),
     parent(_parent),
@@ -51,5 +51,4 @@
   okButton = new QPushButton(tr("Ok"));
 
-  pipe = new RandomNumberDistribution_ParametersQtQueryPipe(temp,_dialog, inputBox);
   connect(okButton,SIGNAL(clicked()),this,SLOT(onUpdate()));
 }
@@ -57,5 +56,4 @@
 QtDialog::RandomNumberDistribution_ParametersQtQuery::~RandomNumberDistribution_ParametersQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 #include "World.hpp"
 
-QtDialog::RealSpaceMatrixQtQuery::RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::RealSpaceMatrixQtQuery::RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::RealSpaceMatrixQuery(_param, _title),
     parent(_parent),
@@ -39,11 +39,9 @@
 
   // init input table
-  inputTable = new QTableWidget(3,3, _dialog);
+  inputTable = new QTableWidget(3,3);
   QStringList CoordinateList;
   CoordinateList << "x" << "y" << "z";
   inputTable->setHorizontalHeaderLabels(CoordinateList);
   inputTable->setVerticalHeaderLabels(CoordinateList);
-
-  pipe = new RealSpaceMatrixQtQueryPipe(temp,_dialog, inputTable);
 
   // fill the box with current matrix
@@ -53,5 +51,5 @@
       QTableWidgetItem *newItem = new QTableWidgetItem(tr("%1").arg(domain.at(i,j)));
       inputTable->setItem(i,j,newItem);
-      pipe->update(i,j);
+      onUpdate(i,j);
     }
 
@@ -65,5 +63,4 @@
 QtDialog::RealSpaceMatrixQtQuery::~RealSpaceMatrixQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/StringQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -28,5 +28,5 @@
 
 
-QtDialog::StringQtQuery::StringQtQuery(Parameter<std::string> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::StringQtQuery::StringQtQuery(Parameter<std::string> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::StringQuery(_param, _title),
     parent(_parent),
@@ -43,6 +43,5 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new StringQtQueryPipe(temp,_dialog);
-  pipe->update(inputBox->text());
+  onUpdate(inputBox->text());
   connect(inputBox,SIGNAL(textChanged(const QString&)),this,SLOT(onUpdate(const QString&)));
 }
@@ -50,5 +49,4 @@
 QtDialog::StringQtQuery::~StringQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/StringsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 
 
-QtDialog::StringsQtQuery::StringsQtQuery(Parameter<std::vector<std::string> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::StringsQtQuery::StringsQtQuery(Parameter<std::vector<std::string> > &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::StringsQuery(_param, _title),
     parent(_parent),
@@ -61,13 +61,13 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new StringsQtQueryPipe(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+ /* pipe = new StringsQtQueryPipe(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
   connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(elementEntered(const QString&)));
   connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(elementSelected()));
   connect(AddButton,SIGNAL(clicked()),pipe,SLOT(addElement()));
-  connect(RemoveButton,SIGNAL(clicked()),pipe,SLOT(removeElement()));}
+  connect(RemoveButton,SIGNAL(clicked()),pipe,SLOT(removeElement()));*/
+}
 
 QtDialog::StringsQtQuery::~StringsQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -28,5 +28,5 @@
 
 
-QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(Parameter<unsigned int> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(Parameter<unsigned int> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::UnsignedIntQuery(_param, _title),
     parent(_parent),
@@ -44,6 +44,5 @@
   thisLayout->addWidget(inputBox);
 
-  pipe = new UnsignedIntQtQueryPipe(temp,_dialog);
-  pipe->update(inputBox->value());
+  onUpdate(inputBox->value());
   connect(inputBox,SIGNAL(valueChanged(unsigned int)),this,SLOT(onUpdate(unsigned int)));
 }
@@ -51,5 +50,4 @@
 QtDialog::UnsignedIntQtQuery::~UnsignedIntQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -30,5 +30,5 @@
 
 
-QtDialog::UnsignedIntsQtQuery::UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::UnsignedIntsQtQuery::UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::UnsignedIntsQuery(_param, _title),
     parent(_parent),
@@ -61,14 +61,13 @@
   thisHLayout->addLayout(thisV2Layout);
 
-  pipe = new QtQueryListPipe<unsigned int>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+  /*pipe = new QtQueryListPipe<unsigned int>(temp,_dialog,inputBox,inputList,AddButton,RemoveButton);
   connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(IntegerEntered(const QString&)));
   connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
   connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(AddValue()));
-  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));*/
 }
 
 QtDialog::UnsignedIntsQtQuery::~UnsignedIntsQtQuery()
 {
-  delete pipe;
 }
 
Index: src/UIElements/Qt4/Query/VectorQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -29,5 +29,5 @@
 
 
-QtDialog::VectorQtQuery::VectorQtQuery(Parameter<Vector> &_param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::VectorQtQuery::VectorQtQuery(Parameter<Vector> &_param, std::string title, QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::VectorQuery(_param, title),
     parent(_parent),
@@ -65,6 +65,4 @@
   coordInputZ->setDecimals(3);
   coordLayout->addWidget(coordInputZ);
-  pipe = new VectorQtQueryPipe(temp,_dialog,inputBox);
-  //pipe->update(coordInput->value());
   connect(coordInputX,SIGNAL(valueChanged(double)),this,SLOT(onUpdateX(double)));
   connect(coordInputY,SIGNAL(valueChanged(double)),this,SLOT(onUpdateY(double)));
Index: src/UIElements/Qt4/Query/VectorsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 7c99210d342dfb64d6b9787241278d8bfdd2ba58)
+++ src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 7dfd07ff7c14ac5ea7a5146c49720f246584a67b)
@@ -29,5 +29,5 @@
 
 
-QtDialog::VectorsQtQuery::VectorsQtQuery(Parameter<std::vector<Vector> > &_param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
+QtDialog::VectorsQtQuery::VectorsQtQuery(Parameter<std::vector<Vector> > &_param, std::string title, QBoxLayout *_parent,Dialog *_dialog) :
     Dialog::VectorsQuery(_param, title),
     parent(_parent),
@@ -48,7 +48,7 @@
   coordInput->setDecimals(3);
   coordLayout->addWidget(coordInput);
-  pipe = new VectorsQtQueryPipe(temp,_dialog,inputBox);
+  /*pipe = new VectorsQtQueryPipe(temp,_dialog,inputBox);
   //pipe->update(coordInput->value());
-  connect(coordInput,SIGNAL(valueChanged(double)),pipe,SLOT(update(double)));
+  connect(coordInput,SIGNAL(valueChanged(double)),pipe,SLOT(update(double)));*/
   parent->addLayout(mainLayout);
 }
